Create

Creates a item and syncs all the products with the financial institution, using as credentials the sent parameters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

To submit the connector's credentials we are going to build a credentials object.
This object will contain each credential necessary to execute the connector, as detailed in the GET /connectors, that returns a credentials array.

This object will be created as key-value pairs, being the name of the credential the key, and the user's input the value.

Example:

{
	 "credentials": [
     {
       "label": "Agência",
       "name": "agency",
       "type": "number",
       "placeholder": "Agência",
       "validation": "^\\d{4}$",
       "validationMessage": "O agencia deve ter 4 dígito"
     },
     {
       "label": "Conta",
       "name": "account",
       "type": "number",
       "placeholder": "Conta",
       "validation": "^\\d{4,6}$",
       "validationMessage": "O conta deve ter 6 dígito"
     },
     {
       "label": "Senha",
       "name": "password",
       "type": "number",
       "placeholder": "Senha",
       "validation": "^\\d{6}$",
       "validationMessage": "O senha deve ter 6 dígito"
     }
	 ]
}
{
  "agency": "1234",
  "account": "123456",
  "password": "123456"
}

Encrypted credentials

When creating an Item, you can send the parameters (user credentials) encrypted. This gives our clients the possibility to add another security layer while connecting accounts.

In order to do it, first you should request the creation of an RSA Public Key for your application to our operations team. Then, within your programming language and using this public key, you should encrypt the parameters object and encode it in Base64, and send that string as parameters instead of an object.

The same logic applies to updates in the case of credentials updates.

Technical considerations: The padding property used to encrypt/decrypt is RSA_PKCS1_OAEP_PADDING

Body Params

Create Item Request

number
required

Primary identifier of the connector

parameters
required

Connector's credentials that are required to execute on a Key-Value object or a string if they are encrypted

uri

Url to be notified of item changes

string

Client's external identifier for the user, it can be a ID, UUID or even an email. This is free for clients to use.

uri

Redirect URI required for the Oauth flow

products
array of strings

Products to be collected in the connection

products
boolean

Avoids creating a new item if there is already one with the same credentials

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json